Public Member Functions | Public Attributes | List of all members
libzmf::Style Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Style ()

## Public Attributes
boost::optional< Pen > | pen
boost::optional< Fill > | fill
boost::optional< Transparency > | transparency
boost::optional< Shadow > | shadow

## Constructor & Destructor Documentation

## ◆ Style()

libzmf::Style::Style | ( |  | ) |
| inline

## Member Data Documentation

## ◆ fill

boost::optional<Fill> libzmf::Style::fill

Referenced by libzmf::ZMF4Parser::readStyle(), and libzmf::ZMFCollector::writeStyle().

## ◆ pen

boost::optional<Pen> libzmf::Style::pen

Referenced by libzmf::ZMF4Parser::readBoundingBox(), libzmf::ZMF4Parser::readStyle(), and libzmf::ZMFCollector::writeStyle().

## ◆ shadow

boost::optional<Shadow> libzmf::Style::shadow

Referenced by libzmf::ZMF4Parser::readStyle(), and libzmf::ZMFCollector::writeStyle().

## ◆ transparency

boost::optional<Transparency> libzmf::Style::transparency

Referenced by libzmf::ZMFCollector::collectImage(), libzmf::ZMF4Parser::readStyle(), libzmf::ZMFCollector::writeFill(), and libzmf::ZMFCollector::writePen().

The documentation for this struct was generated from the following file:

- ZMFTypes.h